org.apache.ignite.spi.indexing

## Class IndexingQueryCacheFilter

- java.lang.Object
- - org.apache.ignite.spi.indexing.IndexingQueryCacheFilter

-     public class IndexingQueryCacheFilter
      extends Object

  Indexing query filter for specific cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexingQueryCacheFilter(org.apache.ignite.internal.processors.cache.GridCacheAffinityManager aff, Set<Integer> parts, org.apache.ignite.internal.processors.affinity.AffinityTopologyVersion topVer, ClusterNode locNode)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `apply(Object key)` Apply filter.
    `boolean` | `applyPartition(int part)` Apply filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexingQueryCacheFilter

          public IndexingQueryCacheFilter(org.apache.ignite.internal.processors.cache.GridCacheAffinityManager aff,
                                          Set<Integer> parts,
                                          org.apache.ignite.internal.processors.affinity.AffinityTopologyVersion topVer,
                                          ClusterNode locNode)

      Constructor.
      Parameters:
        `aff` - Affinity.
        `parts` - Partitions.
        `topVer` - Topology version.
        `locNode` - Local node.

  - ### Method Detail

    - #### apply

          public boolean apply(Object key)

      Apply filter.
      Parameters:
        `key` - Key.
      Returns:
        `True` if passed.

    - #### applyPartition

          public boolean applyPartition(int part)

      Apply filter.
      Parameters:
        `part` - Partition.
      Returns:
        `True` if passed.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023